DEPRECATION WARNING during startup
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

$ bin/rails s

=> Booting Puma

=> Rails 6.1.3.1 application starting in development

=> Run `bin/rails server --help` for more startup options

DEPRECATION WARNING: Initialization autoloaded the constants ActiveRecord::Acts, ActiveRecord::Act

s::Tree, Redmine::I18n, Redmine::Helpers, Redmine::Helpers::URL, Redmine::SafeAttributes, Redmine:

:SubclassFactory, CustomField, Redmine::Utils, Redmine::Configuration, Redmine::Scm::Adapters::Com

mandFailed, IssueRelation, Redmine::WikiFormatting::Macros, Redmine::Pagination, Redmine::SudoMode

, ApplicationHelper, Redmine::WikiFormatting::Textile, Redmine::WikiFormatting::Textile::Formatter

, Redmine::WikiFormatting::Textile::Helper, Redmine::WikiFormatting::HtmlParser, Redmine::WikiForm

atting::Textile::HtmlParser, Redmine::WikiFormatting::Markdown, Redmine::WikiFormatting::Markdown:

:HTML, Redmine::WikiFormatting::Markdown::Formatter, Redmine::WikiFormatting::Markdown::Helper, Re

dmine::WikiFormatting::Markdown::HtmlParser, and Redmine::Views::ApiTemplateHandler.

Being able to do this is deprecated. Autoloading during initialization is going

to be an error condition in future versions of Rails.

Reloading does not reboot the application, and therefore code executed during

initialization does not run again. So, if you reload ActiveRecord::Acts, for example,

the expected changes won't be reflected in that stale Module object.

`config.autoloader` is set to `classic`. These autoloaded constants would have been unloaded if `c

onfig.autoloader` had been set to `:zeitwerk`.

In order to autoload safely at boot time, please wrap your code in a reloader

callback this way:

    Rails.application.reloader.to_prepare do

      # Autoload classes and modules needed at boot time here.

    end

That block runs when the application boots, and every time there is a reload.

For historical reasons, it may run twice, so it has to be idempotent.

Check the "Autoloading and Reloading Constants" guide to learn more about how

Rails autoloads and reloads.

 (called from <top (required)> at /path/to/redmine/config/environment.rb:16)

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Is duplicate of Redmine - Feature #32938: Rails 6: Zeitwerk support Closed

History

#1 - 2021-04-02 09:26 - Go MAEDA

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2021-04-02 16:35 - Pavel Rosický

refs #32938
https://www.redmine.org/issues/32938


#3 - 2021-04-04 13:06 - Marius BĂLTEANU

- Has duplicate Defect #35028: Deprecation message when executing 'bundle install' added

#4 - 2021-04-04 13:07 - Marius BĂLTEANU

- Has duplicate deleted (Defect #35028: Deprecation message when executing 'bundle install')

#5 - 2021-04-13 11:13 - Go MAEDA

- Status changed from New to Closed

- Target version deleted (5.0.0)

- Resolution set to Duplicate

Closing as a duplicate of #32938.

#6 - 2021-04-13 11:13 - Go MAEDA

- Is duplicate of Feature #32938: Rails 6: Zeitwerk support added
